[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum problem after bad shutdown



Timothy Murphy wrote:
I've been unable to "yum update" my Fedora-7 laptop for a couple of days,
because I apparently need a recent "kdebase3",
which I cannot locate.

----------------------------------------
[tim elizabeth ~]$ sudo
yum --exclude=kdeartwork,kdebase-devel,kdebindings,kdeaddons update ... --> Finished Dependency Resolution
Error: Missing Dependency: kdebase3 >= 3.5.8 is needed by package
kdebindings
Error: Missing Dependency: kdebase3 >= 3.5.8 is needed by package kdeaddons
Error: Missing Dependency: kdebase-libs = 6:3.5.8-3.fc7 is needed by package
kdebase-devel
Error: Missing Dependency: kdebase3 >= 3.5.8 is needed by package kdeartwork
[tim elizabeth ~]$ sudo
yum --exclude=kdeartwork,kdebase-devel,kdebindings,kdeaddons update ----------------------------------------

What happened was that my laptop ran out of battery
in the middle of a yum update,
and I assume that that was the cause of the trouble.

I'm slightly puzzled that my exclude= did not have the required effect?

But my main query is how to deal with the requirement for kdebase3.
I do not seem to have any file of that name,
and do not see where it would come from.

Any and all suggestions and advice gratefully received.

In your yum.conf did you use  'exclude=kde* ' on mine it stopped the downloading of any kde packages.

 david


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]